## jssip 0.3.7

=== Makefile ===
#!/usr/bin/make -f
##################### configurable stuff ###################################
#
# Tools we require
#
# UglifyJS
UGLIFY ?= uglifyjs
#
# PEG.js
PEGJS ?= pegjs
#
# Google Closure Compiler (minify)
MINIFY_GCC ?= closure-compiler
# hack for Debian bug 705565:
#MINIFY_GCC ?= java -classpath /usr/share/java/closure-compiler.jar:/usr/share/java/args4j.jar:/usr/share/java/guava.jar:/usr/share/java/json.jar com.google.javascript.jscomp.CommandLineRunner

#############################################################################
#
# Version we are building
VERSION = $(shell cat package.json | grep version.: | cut -f4 -d'"')

# Sources
SOURCES = $(shell cat Gruntfile.js | grep 'src/.*js' | grep -v Grammar | tr -d " ',")


all:	normal minified
	@echo JsSIP version = $(VERSION)

normal:	dist/JsSIP-$(VERSION).js

minified:	dist/JsSIP-$(VERSION).min.js

#
# Compile and minify the SIP grammar
#

src/Grammar/dist/Grammar.js:	src/Grammar/src/Grammar.pegjs
	$(PEGJS) -e JsSIP.Grammar src/Grammar/src/Grammar.pegjs src/Grammar/dist/Grammar.js
	perl -0777 -pi -e 's/throw new this\.SyntaxError\(([\s\S]*?)\);([\s\S]*?)}([\s\S]*?)return result;/new this.SyntaxError(\1);\n        return -1;\2}\3return data;/' src/Grammar/dist/Grammar.js

src/Grammar/dist/Grammar.min.js:	src/Grammar/dist/Grammar.js
	$(MINIFY_GCC) --js src/Grammar/dist/Grammar.js --js_output_file src/Grammar/dist/Grammar.min.js

#
# Do the concate and replacement stuff
#

tmp/JsSIP-$(VERSION).js.part:	$(SOURCES)
	mkdir -p tmp
	cat $(SOURCES) \
	   | sed -e '/^var RequestSender.*= /r src/RTCSession/RequestSender.js' \
	   | sed -e '/^var RTCMediaHandler.*= /r src/RTCSession/RTCMediaHandler.js' \
	   | sed -e '/^var DTMF.*= /r src/RTCSession/DTMF.js' \
	   | sed -e 's/@@include.*$$//' \
	   | sed -e '$$a\\window.JsSIP = JsSIP;\n}(window));' \
	   > tmp/JsSIP-$(VERSION).js.part

dist/JsSIP-$(VERSION).js:	src/Grammar/dist/Grammar.js tmp/JsSIP-$(VERSION).js.part
	mkdir -p dist
	cat tmp/JsSIP-$(VERSION).js.part src/Grammar/dist/Grammar.js\
	   > dist/JsSIP-$(VERSION).js

dist/JsSIP-$(VERSION).min.js:	src/Grammar/dist/Grammar.min.js tmp/JsSIP-$(VERSION).js.part
	mkdir -p dist
	$(UGLIFY) tmp/JsSIP-$(VERSION).js.part > tmp/JsSIP-$(VERSION).min.js.part
	cat tmp/JsSIP-$(VERSION).min.js.part src/Grammar/dist/Grammar.min.js \
	    > dist/JsSIP-$(VERSION).min.js

clean:
	-rm -rf tmp dist

srcdist:
	-rm -rf jssip-$(VERSION)
	mkdir jssip-$(VERSION)
	cp -r AUTHORS.md BUILDING.md CHANGELOG.md Gruntfile.js LICENSE Makefile package.json README.md src test THANKS.md jssip-$(VERSION)
	tar czf jssip-$(VERSION).tar.gz jssip-$(VERSION)

=== debian/changelog ===
jssip (0.3.7-2) unstable; urgency=low

  * Add pegjs to build dependencies

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 16 Sep 2013 09:59:36 +0200

jssip (0.3.7-1) unstable; urgency=low

  * Initial upload (Closes: #721077)

 -- Daniel Pocock <daniel@pocock.com.au>  Tue, 27 Aug 2013 19:43:05 +0200

## jssip 0.4.0.20140212.1

=== Makefile ===
--- 
+++ 
@@ -48,12 +48,15 @@
 tmp/JsSIP-$(VERSION).js.part:	$(SOURCES)
 	mkdir -p tmp
 	cat $(SOURCES) \
-	   | sed -e '/^var RequestSender.*= /r src/RTCSession/RequestSender.js' \
+	   | sed -e '/^var Request .*= /r src/RTCSession/Request.js' \
+	   | sed -e '/^var RequestSender.*= /r src/Dialog/RequestSender.js' \
 	   | sed -e '/^var RTCMediaHandler.*= /r src/RTCSession/RTCMediaHandler.js' \
 	   | sed -e '/^var DTMF.*= /r src/RTCSession/DTMF.js' \
+	   | sed -e '/^var Logger = /r src/Logger.js' \
 	   | sed -e 's/@@include.*$$//' \
-	   | sed -e '$$a\\window.JsSIP = JsSIP;\n}(window));' \
 	   > tmp/JsSIP-$(VERSION).js.part
+#	   | sed -e '$$a\\window.JsSIP = JsSIP;\n}(window));' \
+#	   > tmp/JsSIP-$(VERSION).js.part
 
 dist/JsSIP-$(VERSION).js:	src/Grammar/dist/Grammar.js tmp/JsSIP-$(VERSION).js.part
 	mkdir -p dist

=== debian/changelog ===
jssip (0.4.0.20140212.1-3) unstable; urgency=medium

  * Build-depend on pegjs rather than node-peg.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 11 Sep 2014 14:33:37 +0200

jssip (0.4.0.20140212.1-2) unstable; urgency=high

  * Use closure-compiler as a binary.

 -- Daniel Pocock <daniel@pocock.com.au>  Sat, 31 May 2014 16:44:59 +0200

jssip (0.4.0.20140212.1-1) unstable; urgency=low

  * New upstream snapshot

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 12 Feb 2014 15:58:38 +0100

jssip (0.4.0.20140122.1-1) unstable; urgency=low

  * New upstream snapshot

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 22 Jan 2014 17:02:32 +0100

jssip (0.4.0.20140120.1-1) unstable; urgency=low

  * Add pegjs to build dependencies

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 20 Jan 2014 14:46:45 +0100

=== debian/control ===
Source: jssip
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.pro>
Build-Depends: debhelper (>= 9.0.0), node-uglify, closure-compiler, pegjs
Standards-Version: 3.9.4
Homepage: http://www.jssip.net
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-javascript/jssip.git
Vcs-Git: git://anonscm.debian.org/pkg-javascript/jssip.git

Package: libjs-jssip
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: JavaScript implementation of a WebRTC SIP video phone
 JsSIP is a client side pure JavaScript library to build SIP endpoints
 in Web environments.  It is typically hosted in any normal web server
 and runs in modern WebRTC capable browsers.
 .
 This package provides the JavaScript library for use in web sites
 or for other packages that require it.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=.

override_dh_auto_build:
	# force rebuild of the Grammar:
	-rm src/Grammar/dist/Grammar.js src/Grammar/dist/Grammar.min.js
	# using a manually constructed JVM command line for
	# closure-compiler due to Debian bug 705565:
	#make MINIFY_GCC="java -classpath /usr/share/java/closure-compiler.jar:/usr/share/java/args4j.jar:/usr/share/java/guava.jar:/usr/share/java/json.jar com.google.javascript.jscomp.CommandLineRunner"
	# using closure-compiler as a binary (after bug 705565 is fixed):
	make MINIFY_GCC=closure-compiler
	mv dist/JsSIP-*.min.js dist/JsSIP.min.js
	mv dist/JsSIP-*.js dist/JsSIP.js

# no make install support
override_dh_auto_install:
	true

## jssip 0.6.34

=== debian/changelog ===
jssip (0.6.34-5) unstable; urgency=medium

  * Update VCS URLs.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 24 Sep 2015 13:09:42 +0200

jssip (0.6.34-4) unstable; urgency=medium

  * Remove dependency on libjs-debug

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 15 Sep 2015 20:43:21 +0200

jssip (0.6.34-3) unstable; urgency=medium

  * Update debian/copyright

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 08 Jul 2015 21:28:12 +0200

jssip (0.6.34-2) unstable; urgency=medium

  * Ensure JsSIP is a window global.

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 08 Jul 2015 19:04:18 +0200

jssip (0.6.34-1) unstable; urgency=medium

  * Latest upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 08 Jul 2015 18:03:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,25 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Daniel Pocock <daniel@pocock.pro>
-Build-Depends: debhelper (>= 9.0.0), node-uglify, closure-compiler, pegjs
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9.0.0), node-uglify, closure-compiler, pegjs, node-browserify-lite, node-websocket, node-rtcninja, node-util, node-sdp-transform, node-events, node-debug
+Standards-Version: 3.9.6
 Homepage: http://www.jssip.net
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-javascript/jssip.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/jssip.git/
 Vcs-Git: git://anonscm.debian.org/pkg-javascript/jssip.git
 
 Package: libjs-jssip
+Architecture: all
+Depends: ${misc:Depends}, libjs-websocket, libjs-rtcninja, libjs-util, libjs-sdp-transform, libjs-events
+Recommends: javascript-common
+Description: JavaScript implementation of a WebRTC SIP video phone
+ JsSIP is a client side pure JavaScript library to build SIP endpoints
+ in Web environments.  It is typically hosted in any normal web server
+ and runs in modern WebRTC capable browsers.
+ .
+ This package provides the JavaScript library for use in web sites
+ or for other packages that require it.
+
+Package: libjs-jssip-bundle
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: javascript-common
@@ -20,4 +32,17 @@
  .
  This package provides the JavaScript library for use in web sites
  or for other packages that require it.
+ .
+ This package provides a minified JavaScript produced with browserify-lite.
 
+Package: node-jssip
+Architecture: all
+Depends: ${misc:Depends}, node-websocket, node-rtcninja, node-util, node-sdp-transform, node-events, node-debug, libjs-jssip (= ${binary:Version})
+Recommends: javascript-common
+Description: JavaScript implementation of a WebRTC SIP video phone
+ JsSIP is a client side pure JavaScript library to build SIP endpoints
+ in Web environments.  It is typically hosted in any normal web server
+ and runs in modern WebRTC capable browsers.
+ .
+ This package provides the JavaScript library for use in NodeJS applictions.
+

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=.

override_dh_auto_build:
	# force rebuild of the Grammar:
	-rm lib/Grammar.js
	# using a manually constructed JVM command line for
	# closure-compiler due to Debian bug 705565:
	#make MINIFY_GCC="java -classpath /usr/share/java/closure-compiler.jar:/usr/share/java/args4j.jar:/usr/share/java/guava.jar:/usr/share/java/json.jar com.google.javascript.jscomp.CommandLineRunner"
	# using closure-compiler as a binary (after bug 705565 is fixed):
	make MINIFY_GCC=closure-compiler dist/jssip.min.js
	#mv dist/jssip-*.min.js dist/jssip.min.js
	#mv dist/jssip-*.js dist/jssip.js

# no make install support
override_dh_auto_install:
	true

=== debian/watch ===
version=3
https://github.com/versatica/JsSIP/tags .*/archive/v?(\d[\d\.]+).tar.gz
